Summary:        Extended attributes library wrapper for Python
Name:           pyxattr
Version:        0.8.1
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://pyxattr.k1024.org/
Source0:        https://pyxattr.k1024.org//downloads/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libattr-devel python3-devel python3-setuptools 
BuildRequires:  pytest


%description
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

%package -n python3-%{name}
Summary:        Extended attributes library wrapper for Python
Provides:       python3-%{name}

%description -n python3-%{name}
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%check
export TEST_IGNORE_XATTRS=security.selinux
export PYTHONPATH=%{buildroot}%{python3_sitearch}:$PYTHONPATH
python3 -m pytest tests

%files -n python3-%{name}
%license COPYING
%doc README.md
%{python3_sitearch}/xattr.cpython-%{python3_version_nodots}*
%{python3_sitearch}/*egg-info


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.8.1-1
- Upgrade to version 0.8.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.7.2-1
- package init.
